View Issue Details

IDProjectCategoryView StatusLast Update
0026920mantisbtauthorizationpublic2020-06-13 17:41
ReporterGuyAvRM Assigned Tovboctor  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version2.23.0 
Target Version2.25.0Fixed in Version2.25.0 
Summary0026920: reporter allowed to close
Description

Sorry, this seems to be a FAQ but I can't find the final word.
I started a fresh brand new install of this excellent tool.
I allowed reporters to close issues ($g_allow_reporter_close = ON;)
Attachment 1 shows config OK.
Nevertheless, reporter Guy2 reporter does not see any way to close the issue he opened initially.
Any help welcome
Thanks

TagsNo tags attached.

Relationships

related to 0025902 closedvboctor Implement IssueViewPageCommand to separate logic from rendering of issue view page 

Activities

GuyAvRM

GuyAvRM

2020-04-26 15:35

reporter  

reporter allowed to close.PNG (22,123 bytes)   
reporter allowed to close.PNG (22,123 bytes)   
atrol

atrol

2020-04-26 16:21

developer   ~0063918

Regression introduced in 2.23.0

vboctor

vboctor

2020-05-23 23:01

manager   ~0064025

PR: https://github.com/mantisbt/mantisbt/pull/1673

Related Changesets

MantisBT: master 3aef726c

2020-05-23 22:57:13

vboctor

Details Diff
Fix handling of `allow_reporter_close`

Fixes 0026920
Affected Issues
0026920
mod - core/commands/IssueViewPageCommand.php Diff File

Issue History

Date Modified Username Field Change
2020-04-26 15:35 GuyAvRM New Issue
2020-04-26 15:35 GuyAvRM File Added: reporter allowed to close.PNG
2020-04-26 15:35 GuyAvRM File Added: actual reporter not allowed to close.PNG
2020-04-26 16:21 atrol Status new => confirmed
2020-04-26 16:21 atrol Product Version 2.24.0 => 2.23.0
2020-04-26 16:21 atrol Note Added: 0063918
2020-04-26 16:23 atrol Relationship added related to 0025902
2020-04-27 05:10 dregad Target Version => 2.24.1
2020-05-04 15:32 atrol Target Version 2.24.1 => 2.25.0
2020-05-18 14:40 vboctor Assigned To => vboctor
2020-05-18 14:40 vboctor Status confirmed => assigned
2020-05-23 23:01 vboctor Note Added: 0064025
2020-06-13 17:41 vboctor Changeset attached => MantisBT master 3aef726c
2020-06-13 17:41 vboctor Status assigned => resolved
2020-06-13 17:41 vboctor Resolution open => fixed
2020-06-13 17:41 vboctor Fixed in Version => 2.25.0